新手问题 安装 gem 报错{搞定}

mathewxiang · 2014年01月11日 · 最后由 mathewxiang 回复于 2014年01月11日 · 2090 次阅读
Installing json (1.7.7) with native extensions 
Gem::Installer::ExtensionBuildError: ERROR: Failed to build gem native extension.

        /Users/****/.rvm/rubies/ruby-1.9.3-p327/bin/ruby extconf.rb 
creating Makefile

make
compiling generator.c

我在安装 mysql 和 json 的 gem 的时候都是会报这个错误的. 系统是 64 位 osx 10.9 问题出在我的 c 编译器?还是?各位大神求指教!

在网上查过.貌似是我的 c 编译器没有 Symlink 到正确的位置,默认的不是苹果自己的那个吗.

貌似 mysql 安装会出现错误 用 mysql2

#1 楼 @mikasayee 是的就是在安装 mysql2 的时候

10.9 默认的是 2.0 吧 你 mysql 是 dmg 安装的还是 brew 安装的
http://ruby-china.org/topics/3059 可以到这看看

#3 楼 @mikasayee 好的,还是需要一步步来啊!

看来乐天中国真要从 py 移到 rb 了

#5 楼 @mikasayee "嘘~~~~~" :bowtie:

问题解决! 原来在升级 osx 之后,command line developer tool 还需要重新安装!!!

需要 登录 后方可回复, 如果你还没有账号请点击这里 注册